Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network153.76.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
153.76.0.0
Broadcast address
153.79.255.255
First usable
153.76.0.1
Last usable
153.79.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
B (default /16)
As numbers
Hex 994C0000 · Integer 2571894784 to 2572156927
Reverse DNS zones
76.153.in-addr.arpa
77.153.in-addr.arpa
78.153.in-addr.arpa
79.153.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011001.01001100.00000000.00000000153.76.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network10011001.01001100.00000000.00000000153.76.0.0
Broadcast10011001.01001111.11111111.11111111153.79.255.255
Split into smaller subnets/22

153.76.0.0/14 makes 256 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1153.76.0.0/22153.76.0.1 to 153.76.3.254153.76.3.2551,022
2153.76.4.0/22153.76.4.1 to 153.76.7.254153.76.7.2551,022
3153.76.8.0/22153.76.8.1 to 153.76.11.254153.76.11.2551,022
4153.76.12.0/22153.76.12.1 to 153.76.15.254153.76.15.2551,022
5153.76.16.0/22153.76.16.1 to 153.76.19.254153.76.19.2551,022
6153.76.20.0/22153.76.20.1 to 153.76.23.254153.76.23.2551,022
7153.76.24.0/22153.76.24.1 to 153.76.27.254153.76.27.2551,022
8153.76.28.0/22153.76.28.1 to 153.76.31.254153.76.31.2551,022
9153.76.32.0/22153.76.32.1 to 153.76.35.254153.76.35.2551,022
10153.76.36.0/22153.76.36.1 to 153.76.39.254153.76.39.2551,022
11153.76.40.0/22153.76.40.1 to 153.76.43.254153.76.43.2551,022
12153.76.44.0/22153.76.44.1 to 153.76.47.254153.76.47.2551,022
13153.76.48.0/22153.76.48.1 to 153.76.51.254153.76.51.2551,022
14153.76.52.0/22153.76.52.1 to 153.76.55.254153.76.55.2551,022
15153.76.56.0/22153.76.56.1 to 153.76.59.254153.76.59.2551,022
16153.76.60.0/22153.76.60.1 to 153.76.63.254153.76.63.2551,022
17153.76.64.0/22153.76.64.1 to 153.76.67.254153.76.67.2551,022
18153.76.68.0/22153.76.68.1 to 153.76.71.254153.76.71.2551,022
19153.76.72.0/22153.76.72.1 to 153.76.75.254153.76.75.2551,022
20153.76.76.0/22153.76.76.1 to 153.76.79.254153.76.79.2551,022
21153.76.80.0/22153.76.80.1 to 153.76.83.254153.76.83.2551,022
22153.76.84.0/22153.76.84.1 to 153.76.87.254153.76.87.2551,022
23153.76.88.0/22153.76.88.1 to 153.76.91.254153.76.91.2551,022
24153.76.92.0/22153.76.92.1 to 153.76.95.254153.76.95.2551,022
25153.76.96.0/22153.76.96.1 to 153.76.99.254153.76.99.2551,022
26153.76.100.0/22153.76.100.1 to 153.76.103.254153.76.103.2551,022
27153.76.104.0/22153.76.104.1 to 153.76.107.254153.76.107.2551,022
28153.76.108.0/22153.76.108.1 to 153.76.111.254153.76.111.2551,022
29153.76.112.0/22153.76.112.1 to 153.76.115.254153.76.115.2551,022
30153.76.116.0/22153.76.116.1 to 153.76.119.254153.76.119.2551,022
31153.76.120.0/22153.76.120.1 to 153.76.123.254153.76.123.2551,022
32153.76.124.0/22153.76.124.1 to 153.76.127.254153.76.127.2551,022
33153.76.128.0/22153.76.128.1 to 153.76.131.254153.76.131.2551,022
34153.76.132.0/22153.76.132.1 to 153.76.135.254153.76.135.2551,022
35153.76.136.0/22153.76.136.1 to 153.76.139.254153.76.139.2551,022
36153.76.140.0/22153.76.140.1 to 153.76.143.254153.76.143.2551,022
37153.76.144.0/22153.76.144.1 to 153.76.147.254153.76.147.2551,022
38153.76.148.0/22153.76.148.1 to 153.76.151.254153.76.151.2551,022
39153.76.152.0/22153.76.152.1 to 153.76.155.254153.76.155.2551,022
40153.76.156.0/22153.76.156.1 to 153.76.159.254153.76.159.2551,022
41153.76.160.0/22153.76.160.1 to 153.76.163.254153.76.163.2551,022
42153.76.164.0/22153.76.164.1 to 153.76.167.254153.76.167.2551,022
43153.76.168.0/22153.76.168.1 to 153.76.171.254153.76.171.2551,022
44153.76.172.0/22153.76.172.1 to 153.76.175.254153.76.175.2551,022
45153.76.176.0/22153.76.176.1 to 153.76.179.254153.76.179.2551,022
46153.76.180.0/22153.76.180.1 to 153.76.183.254153.76.183.2551,022
47153.76.184.0/22153.76.184.1 to 153.76.187.254153.76.187.2551,022
48153.76.188.0/22153.76.188.1 to 153.76.191.254153.76.191.2551,022
49153.76.192.0/22153.76.192.1 to 153.76.195.254153.76.195.2551,022
50153.76.196.0/22153.76.196.1 to 153.76.199.254153.76.199.2551,022
51153.76.200.0/22153.76.200.1 to 153.76.203.254153.76.203.2551,022
52153.76.204.0/22153.76.204.1 to 153.76.207.254153.76.207.2551,022
53153.76.208.0/22153.76.208.1 to 153.76.211.254153.76.211.2551,022
54153.76.212.0/22153.76.212.1 to 153.76.215.254153.76.215.2551,022
55153.76.216.0/22153.76.216.1 to 153.76.219.254153.76.219.2551,022
56153.76.220.0/22153.76.220.1 to 153.76.223.254153.76.223.2551,022
57153.76.224.0/22153.76.224.1 to 153.76.227.254153.76.227.2551,022
58153.76.228.0/22153.76.228.1 to 153.76.231.254153.76.231.2551,022
59153.76.232.0/22153.76.232.1 to 153.76.235.254153.76.235.2551,022
60153.76.236.0/22153.76.236.1 to 153.76.239.254153.76.239.2551,022
61153.76.240.0/22153.76.240.1 to 153.76.243.254153.76.243.2551,022
62153.76.244.0/22153.76.244.1 to 153.76.247.254153.76.247.2551,022
63153.76.248.0/22153.76.248.1 to 153.76.251.254153.76.251.2551,022
64153.76.252.0/22153.76.252.1 to 153.76.255.254153.76.255.2551,022
65153.77.0.0/22153.77.0.1 to 153.77.3.254153.77.3.2551,022
66153.77.4.0/22153.77.4.1 to 153.77.7.254153.77.7.2551,022
67153.77.8.0/22153.77.8.1 to 153.77.11.254153.77.11.2551,022
68153.77.12.0/22153.77.12.1 to 153.77.15.254153.77.15.2551,022
69153.77.16.0/22153.77.16.1 to 153.77.19.254153.77.19.2551,022
70153.77.20.0/22153.77.20.1 to 153.77.23.254153.77.23.2551,022
71153.77.24.0/22153.77.24.1 to 153.77.27.254153.77.27.2551,022
72153.77.28.0/22153.77.28.1 to 153.77.31.254153.77.31.2551,022
73153.77.32.0/22153.77.32.1 to 153.77.35.254153.77.35.2551,022
74153.77.36.0/22153.77.36.1 to 153.77.39.254153.77.39.2551,022
75153.77.40.0/22153.77.40.1 to 153.77.43.254153.77.43.2551,022
76153.77.44.0/22153.77.44.1 to 153.77.47.254153.77.47.2551,022
77153.77.48.0/22153.77.48.1 to 153.77.51.254153.77.51.2551,022
78153.77.52.0/22153.77.52.1 to 153.77.55.254153.77.55.2551,022
79153.77.56.0/22153.77.56.1 to 153.77.59.254153.77.59.2551,022
80153.77.60.0/22153.77.60.1 to 153.77.63.254153.77.63.2551,022
81153.77.64.0/22153.77.64.1 to 153.77.67.254153.77.67.2551,022
82153.77.68.0/22153.77.68.1 to 153.77.71.254153.77.71.2551,022
83153.77.72.0/22153.77.72.1 to 153.77.75.254153.77.75.2551,022
84153.77.76.0/22153.77.76.1 to 153.77.79.254153.77.79.2551,022
85153.77.80.0/22153.77.80.1 to 153.77.83.254153.77.83.2551,022
86153.77.84.0/22153.77.84.1 to 153.77.87.254153.77.87.2551,022
87153.77.88.0/22153.77.88.1 to 153.77.91.254153.77.91.2551,022
88153.77.92.0/22153.77.92.1 to 153.77.95.254153.77.95.2551,022
89153.77.96.0/22153.77.96.1 to 153.77.99.254153.77.99.2551,022
90153.77.100.0/22153.77.100.1 to 153.77.103.254153.77.103.2551,022
91153.77.104.0/22153.77.104.1 to 153.77.107.254153.77.107.2551,022
92153.77.108.0/22153.77.108.1 to 153.77.111.254153.77.111.2551,022
93153.77.112.0/22153.77.112.1 to 153.77.115.254153.77.115.2551,022
94153.77.116.0/22153.77.116.1 to 153.77.119.254153.77.119.2551,022
95153.77.120.0/22153.77.120.1 to 153.77.123.254153.77.123.2551,022
96153.77.124.0/22153.77.124.1 to 153.77.127.254153.77.127.2551,022
97153.77.128.0/22153.77.128.1 to 153.77.131.254153.77.131.2551,022
98153.77.132.0/22153.77.132.1 to 153.77.135.254153.77.135.2551,022
99153.77.136.0/22153.77.136.1 to 153.77.139.254153.77.139.2551,022
100153.77.140.0/22153.77.140.1 to 153.77.143.254153.77.143.2551,022
101153.77.144.0/22153.77.144.1 to 153.77.147.254153.77.147.2551,022
102153.77.148.0/22153.77.148.1 to 153.77.151.254153.77.151.2551,022
103153.77.152.0/22153.77.152.1 to 153.77.155.254153.77.155.2551,022
104153.77.156.0/22153.77.156.1 to 153.77.159.254153.77.159.2551,022
105153.77.160.0/22153.77.160.1 to 153.77.163.254153.77.163.2551,022
106153.77.164.0/22153.77.164.1 to 153.77.167.254153.77.167.2551,022
107153.77.168.0/22153.77.168.1 to 153.77.171.254153.77.171.2551,022
108153.77.172.0/22153.77.172.1 to 153.77.175.254153.77.175.2551,022
109153.77.176.0/22153.77.176.1 to 153.77.179.254153.77.179.2551,022
110153.77.180.0/22153.77.180.1 to 153.77.183.254153.77.183.2551,022
111153.77.184.0/22153.77.184.1 to 153.77.187.254153.77.187.2551,022
112153.77.188.0/22153.77.188.1 to 153.77.191.254153.77.191.2551,022
113153.77.192.0/22153.77.192.1 to 153.77.195.254153.77.195.2551,022
114153.77.196.0/22153.77.196.1 to 153.77.199.254153.77.199.2551,022
115153.77.200.0/22153.77.200.1 to 153.77.203.254153.77.203.2551,022
116153.77.204.0/22153.77.204.1 to 153.77.207.254153.77.207.2551,022
117153.77.208.0/22153.77.208.1 to 153.77.211.254153.77.211.2551,022
118153.77.212.0/22153.77.212.1 to 153.77.215.254153.77.215.2551,022
119153.77.216.0/22153.77.216.1 to 153.77.219.254153.77.219.2551,022
120153.77.220.0/22153.77.220.1 to 153.77.223.254153.77.223.2551,022
121153.77.224.0/22153.77.224.1 to 153.77.227.254153.77.227.2551,022
122153.77.228.0/22153.77.228.1 to 153.77.231.254153.77.231.2551,022
123153.77.232.0/22153.77.232.1 to 153.77.235.254153.77.235.2551,022
124153.77.236.0/22153.77.236.1 to 153.77.239.254153.77.239.2551,022
125153.77.240.0/22153.77.240.1 to 153.77.243.254153.77.243.2551,022
126153.77.244.0/22153.77.244.1 to 153.77.247.254153.77.247.2551,022
127153.77.248.0/22153.77.248.1 to 153.77.251.254153.77.251.2551,022
128153.77.252.0/22153.77.252.1 to 153.77.255.254153.77.255.2551,022
129153.78.0.0/22153.78.0.1 to 153.78.3.254153.78.3.2551,022
130153.78.4.0/22153.78.4.1 to 153.78.7.254153.78.7.2551,022
131153.78.8.0/22153.78.8.1 to 153.78.11.254153.78.11.2551,022
132153.78.12.0/22153.78.12.1 to 153.78.15.254153.78.15.2551,022
133153.78.16.0/22153.78.16.1 to 153.78.19.254153.78.19.2551,022
134153.78.20.0/22153.78.20.1 to 153.78.23.254153.78.23.2551,022
135153.78.24.0/22153.78.24.1 to 153.78.27.254153.78.27.2551,022
136153.78.28.0/22153.78.28.1 to 153.78.31.254153.78.31.2551,022
137153.78.32.0/22153.78.32.1 to 153.78.35.254153.78.35.2551,022
138153.78.36.0/22153.78.36.1 to 153.78.39.254153.78.39.2551,022
139153.78.40.0/22153.78.40.1 to 153.78.43.254153.78.43.2551,022
140153.78.44.0/22153.78.44.1 to 153.78.47.254153.78.47.2551,022
141153.78.48.0/22153.78.48.1 to 153.78.51.254153.78.51.2551,022
142153.78.52.0/22153.78.52.1 to 153.78.55.254153.78.55.2551,022
143153.78.56.0/22153.78.56.1 to 153.78.59.254153.78.59.2551,022
144153.78.60.0/22153.78.60.1 to 153.78.63.254153.78.63.2551,022
145153.78.64.0/22153.78.64.1 to 153.78.67.254153.78.67.2551,022
146153.78.68.0/22153.78.68.1 to 153.78.71.254153.78.71.2551,022
147153.78.72.0/22153.78.72.1 to 153.78.75.254153.78.75.2551,022
148153.78.76.0/22153.78.76.1 to 153.78.79.254153.78.79.2551,022
149153.78.80.0/22153.78.80.1 to 153.78.83.254153.78.83.2551,022
150153.78.84.0/22153.78.84.1 to 153.78.87.254153.78.87.2551,022
151153.78.88.0/22153.78.88.1 to 153.78.91.254153.78.91.2551,022
152153.78.92.0/22153.78.92.1 to 153.78.95.254153.78.95.2551,022
153153.78.96.0/22153.78.96.1 to 153.78.99.254153.78.99.2551,022
154153.78.100.0/22153.78.100.1 to 153.78.103.254153.78.103.2551,022
155153.78.104.0/22153.78.104.1 to 153.78.107.254153.78.107.2551,022
156153.78.108.0/22153.78.108.1 to 153.78.111.254153.78.111.2551,022
157153.78.112.0/22153.78.112.1 to 153.78.115.254153.78.115.2551,022
158153.78.116.0/22153.78.116.1 to 153.78.119.254153.78.119.2551,022
159153.78.120.0/22153.78.120.1 to 153.78.123.254153.78.123.2551,022
160153.78.124.0/22153.78.124.1 to 153.78.127.254153.78.127.2551,022
161153.78.128.0/22153.78.128.1 to 153.78.131.254153.78.131.2551,022
162153.78.132.0/22153.78.132.1 to 153.78.135.254153.78.135.2551,022
163153.78.136.0/22153.78.136.1 to 153.78.139.254153.78.139.2551,022
164153.78.140.0/22153.78.140.1 to 153.78.143.254153.78.143.2551,022
165153.78.144.0/22153.78.144.1 to 153.78.147.254153.78.147.2551,022
166153.78.148.0/22153.78.148.1 to 153.78.151.254153.78.151.2551,022
167153.78.152.0/22153.78.152.1 to 153.78.155.254153.78.155.2551,022
168153.78.156.0/22153.78.156.1 to 153.78.159.254153.78.159.2551,022
169153.78.160.0/22153.78.160.1 to 153.78.163.254153.78.163.2551,022
170153.78.164.0/22153.78.164.1 to 153.78.167.254153.78.167.2551,022
171153.78.168.0/22153.78.168.1 to 153.78.171.254153.78.171.2551,022
172153.78.172.0/22153.78.172.1 to 153.78.175.254153.78.175.2551,022
173153.78.176.0/22153.78.176.1 to 153.78.179.254153.78.179.2551,022
174153.78.180.0/22153.78.180.1 to 153.78.183.254153.78.183.2551,022
175153.78.184.0/22153.78.184.1 to 153.78.187.254153.78.187.2551,022
176153.78.188.0/22153.78.188.1 to 153.78.191.254153.78.191.2551,022
177153.78.192.0/22153.78.192.1 to 153.78.195.254153.78.195.2551,022
178153.78.196.0/22153.78.196.1 to 153.78.199.254153.78.199.2551,022
179153.78.200.0/22153.78.200.1 to 153.78.203.254153.78.203.2551,022
180153.78.204.0/22153.78.204.1 to 153.78.207.254153.78.207.2551,022
181153.78.208.0/22153.78.208.1 to 153.78.211.254153.78.211.2551,022
182153.78.212.0/22153.78.212.1 to 153.78.215.254153.78.215.2551,022
183153.78.216.0/22153.78.216.1 to 153.78.219.254153.78.219.2551,022
184153.78.220.0/22153.78.220.1 to 153.78.223.254153.78.223.2551,022
185153.78.224.0/22153.78.224.1 to 153.78.227.254153.78.227.2551,022
186153.78.228.0/22153.78.228.1 to 153.78.231.254153.78.231.2551,022
187153.78.232.0/22153.78.232.1 to 153.78.235.254153.78.235.2551,022
188153.78.236.0/22153.78.236.1 to 153.78.239.254153.78.239.2551,022
189153.78.240.0/22153.78.240.1 to 153.78.243.254153.78.243.2551,022
190153.78.244.0/22153.78.244.1 to 153.78.247.254153.78.247.2551,022
191153.78.248.0/22153.78.248.1 to 153.78.251.254153.78.251.2551,022
192153.78.252.0/22153.78.252.1 to 153.78.255.254153.78.255.2551,022
193153.79.0.0/22153.79.0.1 to 153.79.3.254153.79.3.2551,022
194153.79.4.0/22153.79.4.1 to 153.79.7.254153.79.7.2551,022
195153.79.8.0/22153.79.8.1 to 153.79.11.254153.79.11.2551,022
196153.79.12.0/22153.79.12.1 to 153.79.15.254153.79.15.2551,022
197153.79.16.0/22153.79.16.1 to 153.79.19.254153.79.19.2551,022
198153.79.20.0/22153.79.20.1 to 153.79.23.254153.79.23.2551,022
199153.79.24.0/22153.79.24.1 to 153.79.27.254153.79.27.2551,022
200153.79.28.0/22153.79.28.1 to 153.79.31.254153.79.31.2551,022
201153.79.32.0/22153.79.32.1 to 153.79.35.254153.79.35.2551,022
202153.79.36.0/22153.79.36.1 to 153.79.39.254153.79.39.2551,022
203153.79.40.0/22153.79.40.1 to 153.79.43.254153.79.43.2551,022
204153.79.44.0/22153.79.44.1 to 153.79.47.254153.79.47.2551,022
205153.79.48.0/22153.79.48.1 to 153.79.51.254153.79.51.2551,022
206153.79.52.0/22153.79.52.1 to 153.79.55.254153.79.55.2551,022
207153.79.56.0/22153.79.56.1 to 153.79.59.254153.79.59.2551,022
208153.79.60.0/22153.79.60.1 to 153.79.63.254153.79.63.2551,022
209153.79.64.0/22153.79.64.1 to 153.79.67.254153.79.67.2551,022
210153.79.68.0/22153.79.68.1 to 153.79.71.254153.79.71.2551,022
211153.79.72.0/22153.79.72.1 to 153.79.75.254153.79.75.2551,022
212153.79.76.0/22153.79.76.1 to 153.79.79.254153.79.79.2551,022
213153.79.80.0/22153.79.80.1 to 153.79.83.254153.79.83.2551,022
214153.79.84.0/22153.79.84.1 to 153.79.87.254153.79.87.2551,022
215153.79.88.0/22153.79.88.1 to 153.79.91.254153.79.91.2551,022
216153.79.92.0/22153.79.92.1 to 153.79.95.254153.79.95.2551,022
217153.79.96.0/22153.79.96.1 to 153.79.99.254153.79.99.2551,022
218153.79.100.0/22153.79.100.1 to 153.79.103.254153.79.103.2551,022
219153.79.104.0/22153.79.104.1 to 153.79.107.254153.79.107.2551,022
220153.79.108.0/22153.79.108.1 to 153.79.111.254153.79.111.2551,022
221153.79.112.0/22153.79.112.1 to 153.79.115.254153.79.115.2551,022
222153.79.116.0/22153.79.116.1 to 153.79.119.254153.79.119.2551,022
223153.79.120.0/22153.79.120.1 to 153.79.123.254153.79.123.2551,022
224153.79.124.0/22153.79.124.1 to 153.79.127.254153.79.127.2551,022
225153.79.128.0/22153.79.128.1 to 153.79.131.254153.79.131.2551,022
226153.79.132.0/22153.79.132.1 to 153.79.135.254153.79.135.2551,022
227153.79.136.0/22153.79.136.1 to 153.79.139.254153.79.139.2551,022
228153.79.140.0/22153.79.140.1 to 153.79.143.254153.79.143.2551,022
229153.79.144.0/22153.79.144.1 to 153.79.147.254153.79.147.2551,022
230153.79.148.0/22153.79.148.1 to 153.79.151.254153.79.151.2551,022
231153.79.152.0/22153.79.152.1 to 153.79.155.254153.79.155.2551,022
232153.79.156.0/22153.79.156.1 to 153.79.159.254153.79.159.2551,022
233153.79.160.0/22153.79.160.1 to 153.79.163.254153.79.163.2551,022
234153.79.164.0/22153.79.164.1 to 153.79.167.254153.79.167.2551,022
235153.79.168.0/22153.79.168.1 to 153.79.171.254153.79.171.2551,022
236153.79.172.0/22153.79.172.1 to 153.79.175.254153.79.175.2551,022
237153.79.176.0/22153.79.176.1 to 153.79.179.254153.79.179.2551,022
238153.79.180.0/22153.79.180.1 to 153.79.183.254153.79.183.2551,022
239153.79.184.0/22153.79.184.1 to 153.79.187.254153.79.187.2551,022
240153.79.188.0/22153.79.188.1 to 153.79.191.254153.79.191.2551,022
241153.79.192.0/22153.79.192.1 to 153.79.195.254153.79.195.2551,022
242153.79.196.0/22153.79.196.1 to 153.79.199.254153.79.199.2551,022
243153.79.200.0/22153.79.200.1 to 153.79.203.254153.79.203.2551,022
244153.79.204.0/22153.79.204.1 to 153.79.207.254153.79.207.2551,022
245153.79.208.0/22153.79.208.1 to 153.79.211.254153.79.211.2551,022
246153.79.212.0/22153.79.212.1 to 153.79.215.254153.79.215.2551,022
247153.79.216.0/22153.79.216.1 to 153.79.219.254153.79.219.2551,022
248153.79.220.0/22153.79.220.1 to 153.79.223.254153.79.223.2551,022
249153.79.224.0/22153.79.224.1 to 153.79.227.254153.79.227.2551,022
250153.79.228.0/22153.79.228.1 to 153.79.231.254153.79.231.2551,022
251153.79.232.0/22153.79.232.1 to 153.79.235.254153.79.235.2551,022
252153.79.236.0/22153.79.236.1 to 153.79.239.254153.79.239.2551,022
253153.79.240.0/22153.79.240.1 to 153.79.243.254153.79.243.2551,022
254153.79.244.0/22153.79.244.1 to 153.79.247.254153.79.247.2551,022
255153.79.248.0/22153.79.248.1 to 153.79.251.254153.79.251.2551,022
256153.79.252.0/22153.79.252.1 to 153.79.255.254153.79.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses